org.springframework.data.relational.core.sql

## Interface SelectBuilder.SelectFrom

All Superinterfaces:
  SelectBuilder.BuildSelect

All Known Subinterfaces:
  SelectBuilder.SelectAndFrom, SelectBuilder.SelectFromAndJoin, SelectBuilder.SelectFromAndOrderBy

Enclosing interface:
  SelectBuilder

    public static interface SelectBuilder.SelectFrom
    extends SelectBuilder.BuildSelect

Builder exposing `FROM` methods.

### Method Summary

All Methods Instance Methods Abstract Methods
`SelectBuilder.SelectFromAndOrderBy` `from(Collection<? extends Table> tables)` Declare one or more `Table`s to `SELECT … FROM`.
`SelectBuilder.SelectFromAndOrderBy` `from(String table)` Declare a `Table` to `SELECT … FROM`.
`SelectBuilder.SelectFromAndOrderBy` `from(Table... tables)` Declare one or more `Table`s to `SELECT … FROM`.
`SelectBuilder.SelectFromAndOrderBy` `from(Table table)` Declare a `Table` to `SELECT … FROM`.

### Methods inherited from interface org.springframework.data.relational.core.sql.SelectBuilder.BuildSelect

`build`

### Method Detail

#### from

    SelectBuilder.SelectFromAndOrderBy from(String table)

Declare a `Table` to `SELECT … FROM`. Multiple calls to this or other `from` methods keep adding items to the select list and do not replace previously contained items.

Parameters:
  `table` - the table name to `SELECT … FROM` must not be null or empty.
Returns:
  `this` builder.
See Also:
  `From`, `SQL.table(String)`

#### from

    SelectBuilder.SelectFromAndOrderBy from(Table table)

Declare a `Table` to `SELECT … FROM`. Multiple calls to this or other `from` methods keep adding items to the select list and do not replace previously contained items.

Parameters:
  `table` - the table to `SELECT … FROM` must not be null.
Returns:
  `this` builder.
See Also:
  `From`, `SQL.table(String)`

#### from

    SelectBuilder.SelectFromAndOrderBy from(Table... tables)

Declare one or more `Table`s to `SELECT … FROM`. Multiple calls to this or other `from` methods keep adding items to the select list and do not replace previously contained items.

Parameters:
  `tables` - the tables to `SELECT … FROM` must not be null.
Returns:
  `this` builder.
See Also:
  `From`, `SQL.table(String)`

#### from

    SelectBuilder.SelectFromAndOrderBy from(Collection<? extends Table> tables)

Declare one or more `Table`s to `SELECT … FROM`. Multiple calls to this or other `from` methods keep adding items to the select list and do not replace previously contained items.

Parameters:
  `tables` - the tables to `SELECT … FROM` must not be null.
Returns:
  `this` builder.
See Also:
  `From`, `SQL.table(String)`